cURL
curl --request PUT \
--url https://app.teable.ai/api/base/%7BbaseId%7D/publish \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"title":"string","description":"string","cover":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"name":"string","id":"string","thumbnailPath":{"lg":"string","sm":"string"}},"nodes":["string"],"includeData":true,"defaultActiveNodeId":"string"}'base
publish or unpublish a base
publish or unpublish a base
PUT
/
base
/
{baseId}
/
publish
cURL
curl --request PUT \
--url https://app.teable.ai/api/base/%7BbaseId%7D/publish \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"title":"string","description":"string","cover":{"token":"xxxxxxxxxxx","size":1024,"url":"/bucket/xxxxx","path":"/table/xxxxxx","mimetype":"video/mp4","width":100,"height":100,"name":"string","id":"string","thumbnailPath":{"lg":"string","sm":"string"}},"nodes":["string"],"includeData":true,"defaultActiveNodeId":"string"}'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200
publish base successfully
Last modified on March 5, 2026
Was this page helpful?
⌘I

